MarketPress 2.4 NOT backward compatable to WordPress 3.2.x

I just saw on the changelog (glad I read those things) that MarketPress is NOT backward compatable. I am assuming that this means wait until I update the network to WordPress 3.3 to update MarketPress?